Name:           nanomsg
Version:        1.1.5
Release:    1%{?dist}
Summary:        Socket library that provides several common communication patterns

License:        MIT
URL:            https://nanomsg.org/
Source0:        https://github.com/nanomsg/nanomsg/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake3
BuildRequires:  gcc
BuildRequires:  rubygem-asciidoctor

%description
The nanomsg library is a simple high-performance implementation of several
"scalability protocols". These scalability protocols are light-weight messaging
protocols which can be used to solve a number of very common messaging patterns,
such as request/reply, publish/subscribe, surveyor/respondent, and so forth.
These protocols can run over a variety of transports such as TCP, UNIX sockets,
and even WebSocket.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation for %{name}.


%prep
%autosetup -p1


%build
%cmake3 \
  -DTHREADSAFE=ON \
  %{nil}
%cmake3_build


%install
%cmake3_install


%check
%ctest3


%files
%license COPYING
%{_bindir}/nanocat
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/nanocat.1*

%files devel
%doc tests
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}-%{version}/
%{_includedir}/%{name}/
%{_defaultdocdir}/%{name}/
%{_mandir}/man3/nn_*.3*
%{_mandir}/man7/nn_*.7*
%{_mandir}/man7/%{name}.7*

%files doc
%doc AUTHORS doc README.md RELEASING SUPPORT


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.5-1
- initial build
